# remote git
#spring:
#  cloud:
#    config:
#      server:
#        git:
#          uri: http://192.168.2.153:81/config.git
#          searchPaths: diagbotcloud/repo
#          username: dev
#          password: 123456
#      label: master

# ---native
spring:
  cloud:
    config:
      server:
        native:
          search-locations: classpath:/shared
  profiles:
    active: native
  #
  application:
    name: config-server
#  #mq
#  rabbitmq:
#    host: localhost
#    port: 5672
#    username: guest
#    password: guest
#    publisher-confirms: true
#    virtual-host: /

# port
server:
  port: 8769

eureka:
  instance:
    prefer-ip-address: true #使用IP注册
    instance-id: ${spring.cloud.client.ip-address}:${server.port}
    leaseRenewalIntervalInSeconds: 10
    health-check-url-path: /actuator/health #2.0后actuator的地址发生了变化
  client:
    registryFetchIntervalSeconds: 5
    serviceUrl:
      defaultZone: http://${myuri}:8761/eureka/

management:
  endpoints:
    web:
      exposure:
        include: "*"
      cors:
        allowed-origins: "*"
        allowed-methods: "*"
  endpoint:
    health:
      show-details: ALWAYS
  security:
    enabled: false

myuri: localhost


